org.optaplanner.core.impl.phase.event

## Class PhaseLifecycleListenerAdapter<Solution_>

- java.lang.Object
- - org.optaplanner.core.impl.solver.event.SolverLifecycleListenerAdapter<Solution_>
  - - org.optaplanner.core.impl.phase.event.PhaseLifecycleListenerAdapter<Solution_>

- Type Parameters:
    `Solution_` - the solution type, the class with the `PlanningSolution` annotation
  All Implemented Interfaces:
    EventListener, PhaseLifecycleListener<Solution_>, SolverLifecycleListener<Solution_>
  Direct Known Subclasses:
    AbstractTermination, BestSolutionRecaller

      public abstract class PhaseLifecycleListenerAdapter<Solution_>
      extends SolverLifecycleListenerAdapter<Solution_>
      implements PhaseLifecycleListener<Solution_>

  An adapter for `PhaseLifecycleListener`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PhaseLifecycleListenerAdapter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `phaseEnded(AbstractPhaseScope<Solution_> phaseScope)`
    `void` | `phaseStarted(AbstractPhaseScope<Solution_> phaseScope)`
    `void` | `stepEnded(AbstractStepScope<Solution_> stepScope)`
    `void` | `stepStarted(AbstractStepScope<Solution_> stepScope)`

    - ### Methods inherited from class org.optaplanner.core.impl.solver.event.SolverLifecycleListenerAdapter

      `solvingEnded, solvingStarted`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.optaplanner.core.impl.solver.event.SolverLifecycleListener

      `solvingEnded, solvingStarted`

- - ### Constructor Detail

    - #### PhaseLifecycleListenerAdapter

          public PhaseLifecycleListenerAdapter()

  - ### Method Detail

    - #### phaseStarted

          public void phaseStarted(AbstractPhaseScope<Solution_> phaseScope)

      Specified by:
        `phaseStarted` in interface `PhaseLifecycleListener<Solution_>`

    - #### stepStarted

          public void stepStarted(AbstractStepScope<Solution_> stepScope)

      Specified by:
        `stepStarted` in interface `PhaseLifecycleListener<Solution_>`

    - #### stepEnded

          public void stepEnded(AbstractStepScope<Solution_> stepScope)

      Specified by:
        `stepEnded` in interface `PhaseLifecycleListener<Solution_>`

    - #### phaseEnded

          public void phaseEnded(AbstractPhaseScope<Solution_> phaseScope)

      Specified by:
        `phaseEnded` in interface `PhaseLifecycleListener<Solution_>`

Copyright © 2006–2019 JBoss by Red Hat. All rights reserved.